using System;
using System.IO;
using Buayacorp.Utils;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        string basePath = Server.MapPath("~/pdf");

        PdfMerge demo = new PdfMerge();

        demo.AddDocument(Path.Combine(basePath, "static-dynamic-typing-meijer.pdf"));
        demo.AddDocument(Path.Combine(basePath, "composable-memory-transactions.pdf"));

        Response.Clear();
        Response.ContentType = "application/octet-stream";
        Response.AppendHeader("Content-Disposition", "attachment; filename=mergedPapers.pdf");

        demo.Merge(Response.OutputStream);

        Response.End();
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        // TODO: No duplicar cdigo en produccin :)
        string basePath = Server.MapPath("~/pdf");

        PdfMerge demo = new PdfMerge();

        demo.AddDocument(Path.Combine(basePath, "static-dynamic-typing-meijer.pdf"));
        demo.AddDocument(Path.Combine(basePath, "composable-memory-transactions.pdf"));

        Response.Clear();
        Response.ContentType = "application/octet-stream";
        Response.AppendHeader("Content-Disposition", "attachment; filename=mergedPapers.pdf");

        string tempFile = Path.GetTempFileName();
        demo.Merge(tempFile);

        Response.TransmitFile(tempFile);

        Response.End();
    }
}
